'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
var __chunk_1 = require('../chunk-37dea005.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
require('../Box/Box.js');
require('../chunk-471f8aea.js');
var Hidden = require('../Hidden/Hidden.js');
require('../Hidden/HiddenState.js');
var DialogState = require('./DialogState.js');

var useDialogBackdrop = createHook.unstable_createHook({
  name: "DialogBackdrop",
  compose: Hidden.useHidden,
  useState: DialogState.useDialogState,
  useProps: function useProps(_, _ref) {
    var htmlStyle = _ref.style,
        htmlProps = __chunk_1._objectWithoutPropertiesLoose(_ref, ["style"]);

    return __chunk_1._objectSpread({
      id: undefined,
      role: "presentation",
      style: __chunk_1._objectSpread({
        position: "fixed",
        top: 0,
        right: 0,
        bottom: 0,
        left: 0,
        zIndex: 998
      }, htmlStyle)
    }, htmlProps);
  }
});
var DialogBackdrop = createComponent.unstable_createComponent({
  as: "div",
  useHook: useDialogBackdrop
});

exports.DialogBackdrop = DialogBackdrop;
exports.useDialogBackdrop = useDialogBackdrop;
