'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
require('../utils/useSealedState.js');
require('../utils/useId.js');
var __chunk_1 = require('../chunk-37dea005.js');
require('../utils/useCreateElement.js');
require('../system/SystemContext.js');
require('../system/useToken.js');
require('../system/useOptions.js');
require('../system/useProps.js');
require('../chunk-c06eec31.js');
require('../chunk-2138b837.js');
var createHook = require('../utils/createHook.js');
var createComponent = require('../utils/createComponent.js');
var Box = require('../Box/Box.js');
var __chunk_6 = require('../chunk-471f8aea.js');
var HiddenState = require('./HiddenState.js');

function cx() {
  for (var _len = arguments.length, classes = new Array(_len), _key = 0; _key < _len; _key++) {
    classes[_key] = arguments[_key];
  }

  return classes.filter(Boolean).join(" ") || undefined;
}

var useHidden = createHook.unstable_createHook({
  name: "Hidden",
  compose: Box.useBox,
  useState: HiddenState.useHiddenState,
  keys: ["unstable_animated"],
  useProps: function useProps(options, _ref) {
    var htmlOnTransitionEnd = _ref.onTransitionEnd,
        htmlClassName = _ref.className,
        htmlStyle = _ref.style,
        htmlProps = __chunk_1._objectWithoutPropertiesLoose(_ref, ["onTransitionEnd", "className", "style"]);

    var _React$useState = React.useState(options.visible),
        delayedVisible = _React$useState[0],
        setDelayedVisible = _React$useState[1];

    React.useEffect(function () {
      if (options.unstable_animated && options.visible) {
        setDelayedVisible(options.visible);
      }
    }, [options.visible, options.unstable_animated]);
    var onTransitionEnd = React.useCallback(function () {
      if (options.unstable_animated && !options.visible) {
        setDelayedVisible(options.visible);
      }
    }, [options.visible, options.unstable_animated]); // delays hiding

    var hidden = options.unstable_animated ? options.visible ? false : !delayedVisible : !options.visible; // delays showing

    var shouldAddHiddenClass = options.unstable_animated ? options.visible ? !delayedVisible : true : !options.visible;
    return __chunk_1._objectSpread({
      role: "region",
      id: options.unstable_hiddenId,
      className: cx(shouldAddHiddenClass && "hidden", htmlClassName),
      onTransitionEnd: __chunk_6.useAllCallbacks(onTransitionEnd, htmlOnTransitionEnd),
      hidden: hidden
    }, hidden ? {
      style: __chunk_1._objectSpread({
        display: "none"
      }, htmlStyle)
    } : htmlStyle ? {
      style: htmlStyle
    } : {}, htmlProps);
  }
});
var Hidden = createComponent.unstable_createComponent({
  as: "div",
  useHook: useHidden
});

exports.Hidden = Hidden;
exports.useHidden = useHidden;
